body {
    font-family: Arial, sans-serif;
    max-width: 1200px;
    margin: 10px auto;
    padding: 10px;
    background-color: #474B5C;
}
.header {
    text-align: center;
    margin-bottom: 30px;
    color: white;
    padding: 20px;
    background: #3C3B3C;
    border-radius: 5rem;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}
.nav-menu {
    display: flex;
    gap: 20px;
    margin-bottom: 30px;
    justify-content: center;
    flex-wrap: wrap;
}
.category-btn {
    background-color: #383c4a;
    color: white;
    padding: 12px 24px;
    border: none;
    border-radius: 5rem;
    cursor: pointer;
    font-size: 22px;
    transition: background-color 0.2s;
}
.search-container {
    margin-bottom: 20px;
    text-align: right;
}
#searchInput {
    background-color: #383c4a;
    color: white;
    width: 100%;
    text-align: center;
    max-width: 250px;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #383c4a;
    border-radius: 5rem;
}
.category-btn:hover, .category-btn.active {
    background-color: #5294e2;
}
.location-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
}
.location-card {
    background: #3C3B3C;
    border-radius: 10px;
    padding: 15px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    transition: transform 0.2s;
}
.location-card:hover {
    transform: translateY(-5px);
}
.location-name {
    font-size: 18px;
    font-weight: bold;
    color: white;
    margin-bottom: 10px;
    text-align: center;
}
.nav-button {
    display: inline-block;
    background-color: #5294e2;
    color: white;
    padding: 10px 20px;
    border-radius: 2.5rem;
    text-decoration: none;
    margin-top: 10px;
    transition: background-color 0.2s;
    width: calc(100% - 40px);
    text-align: center;
}
.nav-button:hover {
    background-color: rgb(130, 124, 124);
}
.category-title {
    grid-column: 1 / -1;
    text-align: center;
    margin: 20px 0;
    color: white;
    font-size: 24px;
    font-weight: bold;
    background: #3C3B3C;
    padding: 15px;
    border-radius: 5rem;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}
.toggle-btn {
    text-align: center;
    background-color: #383c4a;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 2.5rem;
    cursor: pointer;
    font-size: 18px;
    transition: background-color 0.2s;
    margin-bottom: 20px;
}
.show-image-btn {
    display: inline-block;
    background-color: #7c818c	;
    color: white;
    padding: 10px 20px;
    border-radius: 2.5rem;
    text-decoration: none;
    margin-top: 10px;
    transition: background-color 0.2s;
    width: calc(100% - 40px);
    text-align: center;
    cursor: pointer;
}
.show-image-btn:hover {
    background-color: rgb(111, 100, 100);
}
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.8);
}
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}
.close {
    color: #f1f1f1;
    position: absolute;
    top: 10px;
    right: 25px;
    font-size: 35px;
    font-weight: bold;
    cursor: pointer;
}

footer {
    background-color: #3A3839;
    border-radius: 5rem;
    margin: 1rem;
    color: white;
    text-align: center;
    padding: 1rem;
    font-family: Arial, sans-serif;
}